/*
 * Boxes, such as sections and errors, info, etc, of which fieldset inherits automatically
 */
fieldset,
.box {
    border-radius: 4px;
    margin: 2px;
    padding: 3px;
}

fieldset:before,
.box:before {
    margin-right: 3px;
}

fieldset ul,
.box ul {
    margin: 0;
    padding-left: 14px;
}

fieldset ul.top_level,
.box ul.top_level {
    list-style-type: disc;
}

fieldset ul.top_level ul,
.box ul.top_level ul {
    list-style-type: circle;
}

fieldset a,
.box a {
    border-bottom-style: dashed;
}

fieldset img,
.box img {
    float: left;
    margin-right: 3px;
}

fieldset p,
.box p {
    display: inline-block;
    padding-left: 19px;
}

fieldset p:first-of-type,
.box p:first-of-type {
    padding-left: 0;
}

/* Status boxes */
fieldset.error,
.box.error {
    background-color: #ffcccc;
    border: 1px solid #990000;
}

fieldset.error,
fieldset.error a,
.box.error,
.box.error a {
    color: #990000;
}

fieldset.success,
.box.success {
    background-color: #ccffcc;
    border: 1px solid #009900;
}

fieldset.success,
fieldset.success a,
.box.success,
.box.success a {
    color: #009900;
}

fieldset.info,
.box.info {
    background-color: #ccccff;
    border: 1px solid #000099;
}

fieldset.info,
fieldset.info a,
.box.info,
.box.info a {
    color: #000099;
}

fieldset.status,
.box.status {
    background-color: #ffffcc;
    border: 1px solid #999900;
}

fieldset.status,
fieldset.status a,
.box.status,
.box.status a {
    color: #cc6600;
}

fieldset.status a,
.box.status a {
    border-bottom-color: #cc6600;
}

fieldset.status a:hover,
.box.status a:hover {
    color: #cc0000;
}

fieldset.section,
.box.section {
    background-color: #eeeeee;
    border: 1px solid #888888;
}

fieldset.section,
fieldset.section a,
.box.section,
.box.section a {
    color: #000000;
}

/* Titles */
fieldset legend,
fieldset h3,
.box h3 {
    font-size: 12px;
    height: 15px;
    line-height: 15px;
    margin: 3px 0;
}

fieldset legend {
    float: left;
    padding: 0;
}

fieldset legend + * {
    clear: left;
}

fieldset h3,
.box h3 {
    text-align: center;
}

fieldset.error legend.invert,
fieldset.error h3.invert,
.box.error h3.invert {
    background-color: #990000;
    color: #ffcccc;
}

fieldset.success legend.invert,
fieldset.success h3.invert,
.box.success h3.invert {
    background-color: #009900;
    color: #ccffcc;
}

fieldset.info legend.invert,
fieldset.info h3.invert,
.box.info h3.invert {
    background-color: #000099;
    color: #ccccff;
}

fieldset.status legend.invert,
fieldset.status h3.invert,
.box.status h3.invert {
    background-color: #999900;
    color: #ffffcc;
}

fieldset.section legend.invert,
fieldset.section h3.invert,
.box.section h3.invert {
    background-color: #888888;
    color: #eeeeee;
}

/* Hovered */
fieldset.hover,
.box.hover {
    cursor: pointer;
}

fieldset.error.hover:hover,
fieldset.error.hover:hover p,
.box.error.hover:hover,
.box.error.hover:hover p {
    background-color: #ff9999;
}

fieldset.success.hover:hover,
fieldset.success.hover:hover p,
.box.success.hover:hover,
.box.success.hover:hover p {
    background-color: #99ff99;
}

fieldset.info.hover:hover,
fieldset.info.hover:hover p,
.box.info.hover:hover,
.box.info.hover:hover p {
    background-color: #9999ff;
}

fieldset.status.hover:hover,
fieldset.status.hover:hover p,
.box.status.hover:hover,
.box.status.hover:hover p {
    background-color: #ffff99;
}

fieldset.section.hover:hover,
fieldset.section.hover:hover p,
.box.section.hover:hover,
.box.section.hover:hover p {
    background-color: #cccccc;
}

/* Special box icon */
fieldset.section.loading:before,
.box.section.loading:before,
.icon_loading_error:before,
.icon_loading_success:before,
.icon_loading_info:before,
.icon_loading_status:before,
.icon_loading_section:before {
    content: " ";
    display: inline-block;
    height: 16px;
    vertical-align: text-bottom;
    width: 16px;
}

fieldset.section.loading:before,
.box.section.loading:before {
    background-image: url("/images/icons/loading.gif");
}

.icon_loading_error:before {
    background-image: url("/images/icons/loading_error.gif");
}

.icon_loading_error.invert:before {
    background-image: url("/images/icons/loading_error_invert.gif");
}

.icon_loading_success:before {
    background-image: url("/images/icons/loading_success.gif");
}

.icon_loading_success.invert:before {
    background-image: url("/images/icons/loading_success_invert.gif");
}

.icon_loading_info:before {
    background-image: url("/images/icons/loading_info.gif");
}

.icon_loading_info.invert:before {
    background-image: url("/images/icons/loading_info_invert.gif");
}

.icon_loading_status:before {
    background-image: url("/images/icons/loading_status.gif");
}

.icon_loading_status.invert:before {
    background-image: url("/images/icons/loading_status_invert.gif");
}

.icon_loading_section:before {
    background-image: url("/images/icons/loading_section.gif");
}

.icon_loading_section.invert:before {
    background-image: url("/images/icons/loading_section_invert.gif");
}
